import { Pipe, PipeTransform } from '@angular/core';
import { Utils } from "./utils";
/**
 * 本管道用于基于IISP构架实现语言国际化，用法:
 * {{ key | i18n}} 或
 * {{ key | i18n: [arg1, arg2...]}}
 */
@Pipe({ name: 'i18n' })
export class i18nPipe implements PipeTransform {
	transform(key: string, params?: string[]): string {
		return Utils.resolveLocalizedMessage(key, params);
	}
}